API Explorer 896 endpoints

Get certificate_of_compliance by id

GET /obp/dynamic-entity/certificate_of_compliance/CERTIFICATE_OF_COMPLIANCE_ID

OBPv4.0.0-dynamicEntity_getSinglecertificate_of_compliance_ Roles: CanGetDynamicEntityRecord_certificate_of_compliance(per bank) _Certificate_of_complianceDynamic-EntityDynamic

Get certificate_of_compliance by id.

‘certificate of compliance’ means a conformity statement issued by a certification body certifying that an activity complies with this Regulation;. This Dynamic Entity is part of OGCR.

Property List:

  • certificate_of_compliance_id: ID of the certificate of compliance
  • certification_scheme_id: ID of the certification scheme
  • certification_body_id: ID of the certification body
  • issue_location_country: Country of issuance
  • issue_date: Issuance data
  • expiry_date: Expiry date
  • carbon_removals_under_baseline: TBD
  • soil_emissions_under_baseline: TBD
  • permanent_net_carbon_removal_benefit: TBD
  • carbon_farming_temporary_net_carbon_removal_benefit: TBD
  • carbon_farming_net_soil_emission_reduction_benefit: TBD
  • carbon_storage_temporary_net_carbon_removal_benefit: TBD
  • certification_status: TBD
  • certification_scheme_rules_and_procedures: TBD
  • certification_annual_reports: TBD
  • activity_id: ID of the activity being certified.

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"certificate_of_compliance"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example success response
{
  "certificate_of_compliance": {
    "certificate_of_compliance_id": "3dece208-c95c-11f0-9041-54e1adfac5b3",
    "certification_scheme_id": "3dece208-c95c-11f0-9041-54e1adfac5b1",
    "certification_body_id": "3dece208-c95c-11f0-9041-54e1adfac5b2",
    "issue_location_country": "DE",
    "issue_date": "2026-12-25",
    "expiry_date": "2031-12-25",
    "carbon_removals_under_baseline": 6,
    "soil_emissions_under_baseline": 6,
    "permanent_net_carbon_removal_benefit": 6,
    "carbon_farming_temporary_net_carbon_removal_benefit": 6,
    "carbon_farming_net_soil_emission_reduction_benefit": 6,
    "carbon_storage_temporary_net_carbon_removal_benefit": 6,
    "certification_status": "TBD",
    "certification_scheme_rules_and_procedures": "TBD",
    "certification_annual_reports": "TBD",
    "activity_id": "TBD"
  }
}
Possible errors (3)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_getSinglecertificate_of_compliance_ Originally /certificate_of_compliance/CERTIFICATE_OF_COMPLIANCE_ID